<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
  List msgs = (List)(view.getRequestAttribute("output.list"));
%>
<util:comment>Import Messages - Results</util:comment>
<util:header>
  <util:title>Results of Import</util:title>
  <util:subtitle><util:escape>to Conference: <conf:name/></util:escape></util:subtitle>
</util:header>

<div class="content"><util:font color="content.fg" size="content">
  <util:xlink>
    <util:href type="servlet">conf/manage_conf.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
    <util:text>Return to Manage Conference Menu</util:text>
  </util:xlink><p>
  <% if (msgs.isEmpty()) { %>
    <i>No error messages from import.</i>
  <% } else { %>
    <% for (Iterator it=msgs.iterator(); it.hasNext(); ) { %>
      <% String s = (String)(it.next()); %>
      <util:escape><%= s %></util:escape><br />
    <% } // end for %>
  <% } // end if %>
</util:font></div>
